@charset "utf-8";
/* CSS Document */

/* Bootstrap - Overrides */
.form-control {
    border: none;

    font-size: 16px;
    font-weight: 500;
}
.form-control:focus {
    background: #f8f8f8;
    border: 1px solid #d1d6e5;
    box-shadow: none;

    color: inherit;

    transition: 0.2s;
}
.form-group {
    margin-bottom: 30px;
}

::placeholder {
    color: #8e97ad !important;
    font-size: 16px;
    font-weight: 500;
}

/* Input Labels */
label {
    font-weight: bold;

    margin-bottom: 2px;
}

/* Input Validation */
.form-field__error {
    position: relative;
}
.form-field__error::after {
    content: "\f071";
    font-family: 'FontAwesome';
    color: #979caf;

    position: absolute;
    right: 15px;
    top: 42px;

    z-index: 10;
}
.form-field__success {
    position: relative;
}
.form-field__success::after {
    content: "\f058";
    font-family: 'FontAwesome';
    color: #979caf;

    position: absolute;
    right: 15px;
    top: 42px;

    z-index: 10;
}

/* Form - Inputs */
.form-field {
    background: #fff;
    border: 1px solid #d1d6e5;

    padding: 24px 15px;

    border-radius: 4px;
}

.side-panel .form-field {
    background: #2E3B4C;
    border: 1px solid #2E3B4C;
    border-radius: 4px;

    color: #fff;

    padding: 20px 15px;

    position: relative;
    z-index: 10;
}
    .side-panel .form-group {
        margin-bottom: 0;
    }
    .side-panel .form-field:focus {
        background: #3c4858;
        border: 1px solid #3c4858;
    }
    .side-panel .form-field:not(:placeholder-shown) {
        background: #44ac8e !important;

        color: #fff !important;
    }
    .side-panel .form-field:not(:placeholder-shown) + label {
        top: -62px;
    }

    .side-panel label {
        color: #44AC8E;
        font-size: 12px;

        position: relative;
        top: -25px;
        left: 5px;

        transition: 0.3s;

        z-index: 0;
    }
    .side-panel .form-field:focus + label {
        top: -62px;

        transition: 0.3s;
    }

/* Date Picker */
.ui-datepicker {
    position: absolute;
    left: 34px !important;

    background: #2e3b4c;
    border: none;
    border-radius: 0;

    color: #fff;

    padding: 14px;
}
.ui-datepicker-title {
    font-size: 18px;
    font-weight: bold;

    text-align: center;

    margin-bottom: 10px;
}
    .ui-datepicker-img {
        position: relative;
    }
    .ui-datepicker-trigger {
        width: 15px;

        position: absolute;
        right: 10px;
        top: 12px;

        z-index: 10;

        cursor: pointer;
    }
    .ui-datepicker-prev {
        background: #44AC8E;
        border: none;
        border-radius: 4px;

        color: #fff;

        padding: 4px 18px;
        margin-bottom: 10px;

        float: left;

        cursor: pointer;
    }
    .ui-datepicker-next {
        background: #44AC8E;
        border: none;
        border-radius: 4px;

        color: #fff;

        padding: 4px 18px;
        margin-bottom: 10px;

        float: right;

        cursor: pointer;
    }

.ui-datepicker-calendar thead, th, td {
    font-size: 14px;

    padding: 6px;
}
.ui-datepicker-calendar td a {
    color: #fff;
}

/* Autocomplete */
.ui-autocomplete {
    display: none;

    background-color: #2e3b4c;

    position: fixed;
    top: 210px !important;
    left: 25px !important;

    width: 250px !important;
    max-height: calc(100vh - 250px);
    overflow-y: scroll;

    padding: 0;
	margin: 0;

    list-style: none;

    z-index: 100;
}
.ui-autocomplete::-webkit-scrollbar {
  display: none;
}

.ui-menu-item {
    display: block;
    clear: both;

    color: #fff;
	font-size: 14px;
    font-weight: 400;

    text-decoration: none;

    padding: 14px;

    line-height: 18px;

	cursor: pointer;
}
	.ui-menu-item:hover {
		background-color: #3c4858;
	}
	.ui-menu-item a {
		color: #fff;

		display: block;

	    width: 100%;
	}
	.ui-menu-item a:hover {
		color: #fff;
	}

.ui-menu-sub-item {
    font-size: 14px;
	color: #9b9b9b;

    margin-left: 22px;
}

/* Form - Search */
.form-field__search {
    background: #2E3B4C;
    border-radius: 4px;
    border: none;

    color: #fff;

    padding: 20px 35px 20px 15px;
}
    .form-field__search:focus {
        background: #3c4858;
        border: none;
    }
    .form-field__search-btn {
        color: #a3abc1;

    	margin-top: -38px;

        width: auto;
    	height: auto;

    	float: right;

    	cursor: pointer;
    }
        .form-field__search-btn:hover {
        	color: #44AC8E;
        }

/* Form - Select */
.form-select {
    background: #fff;
    border: 1px solid #d1d6e5;

    padding: 0 15px;

    border-radius: 4px;

    cursor: pointer;

    width: 100%;
    height: 50px;
}
    .form-select:disabled {
        cursor: not-allowed;
    }

    .form-select {
        appearance: none;

        -webkit-appearance: none;
        -moz-appearance: none;

        background: transparent;
        background-image: url("data:image/svg+xml;utf8,<svg fill='%232e3b4c' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
        background-repeat: no-repeat;
        background-position: right 10px top 12px;
    }

/* Form - Text */
.form-text {
    background: #fff;
    border: 1px solid #d1d6e5;
    border-radius: 4px;

    padding: 15px;

    height: 125px !important;
}

/* Form - Files */
input[type="file"] {
    display: none;
}

.btn-upload {
    width: 100px !important;
    height: 100px !important;

    cursor: pointer;
}
    .btn-upload-img {
        width: 100px !important;
        height: 100px !important;

        cursor: pointer;

        object-fit: cover;
    }

/* Checkboxes */
.lightbox {
    position: absolute;
    top: 0;
}

.checkmark {
    background-color: #ffffff;
    border-radius: 0 0 2px 0;

    position: absolute;
    top: 0px;
    left: 0;

    height: 30px;
    width: 30px;

    cursor: pointer;
}

.checkmark:after {
    content: "";

    position: absolute;
    display: none;
}

.checkbox-wrapper input:checked ~ .checkmark:after {
    font-family: "Font Awesome 5 Free";
    content: "\f058";
    color: #44AC8E;

    margin-left: 4px;

    display: inline-block;
}

.checkbox-wrapper .checkmark:after {
    font-family: "Font Awesome 5 Free";
    content: "\f055";

    margin-left: 4px;

    display: inline-block;
}
